%define anolis_release 8
Name:           libmetalink
Version:        0.1.3
%global so_version 3
Release:        %{anolis_release}%{?dist}
Summary:        Metalink library written in C

License:        MIT
URL:            https://github.com/metalink-dev/libmetalink
Source0:        https://github.com/metalink-dev/libmetalink/releases/download/release-%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(cunit)
BuildRequires:	gcc
BuildRequires:	make

%description
libmetalink is a Metalink C library. It adds Metalink functionality such as
parsing Metalink XML files to programs written in C.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        devel
Summary:        Files needed for developing with libmetalink

Requires:       libmetalink = %{version}-%{release}

%description    devel
Files needed for building applications with libmetalink.


%prep
%autosetup -p1 -n libmetalink-%{version}

%build
%configure --disable-static
%make_build

%check
%make_build check

%install
%make_install

%files
%license COPYING
%{_libdir}/libmetalink.so.%{so_version}
%{_libdir}/libmetalink.so.%{so_version}.*

%files doc
%doc AUTHORS ChangeLog NEWS README

%files devel
%{_includedir}/metalink/
%{_libdir}/libmetalink.so
%{_libdir}/pkgconfig/libmetalink.pc
%{_mandir}/man3/metalink*.3.*


%changelog
* Sun Jan 1 2023 Funda Wang <fundawang@yeah.net> - 0.1.3-8
- Bump release for upgrading from anolis 8

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.3-2
- add doc package

* Mon Mar 14 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 0.1.3-1
- Init version from upstream v0.1.3
